---
title: Login
description: To manage the card of a customer, prepaid card portal access will be provided.
---

To manage the card of a customer, prepaid card portal access will be provided. To login, we need to enter credentials. This API is to create user identification token. All user related action requires token which will expire in 30 min. We must pass mobile no and password in request. If the request has valid details, token will be generated.

## POST

```
https://kraken.airpay.co.in/airpay/ms/cards/api/user-login
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| affiliate | text | Will be provided by Airpay (length 10, required) |
| checksum | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) |
| processor-key | text | Will be provided by airpay(constant, required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| mobile_no | numeric | Mobile number of customer(length 10, required) |
| password | text | Password of customer(length 20, required) |
## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/user-login' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'mobile_no=9XXXXXX978' \
--data-urlencode 'password=Apswd@1234'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | numeric | 400- fail,200-success(length 3, required) |
| message | text | Success, Fail(required) |
| data | json | {“token”:”12w234”}(required) |
## Success-Response:

```
{
    "status": 200,
    "message": "success",
    "data": {
        "token": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
    }
}
```
## Fail-Response:
```
{
    "status": 400,
    "message": "fail"
}
```